## TeplPrefsDialog TeplPrefsDialog — Preferences dialog |

## Functions

TeplPrefsDialog * | tepl_prefs_dialog_get_singleton ()
void | tepl_prefs_dialog_show_for_parent ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── TeplPrefsDialog

## Includes

    #include <tepl/tepl.h>

## Description

TeplPrefsDialog is a subclass of GtkDialog for configuring the preferences of an application.

tepl_abstract_factory_fill_prefs_dialog() is called by TeplPrefsDialog during its construction.

## Functions

### tepl_prefs_dialog_get_singleton ()

    TeplPrefsDialog *
    tepl_prefs_dialog_get_singleton (void);

#### Returns

the TeplPrefsDialog singleton instance.

[transfer none]

Since: 6.2

### tepl_prefs_dialog_show_for_parent ()

    void
    tepl_prefs_dialog_show_for_parent (TeplPrefsDialog *dialog,
                                       GtkWindow *parent_window);

This function sets the “transient-for” property and presents `dialog` .

#### Parameters

dialog | a TeplPrefsDialog. |
parent_window | the parent GtkWindow. |

Since: 6.2